export type TransformItem = {
    defmatch: string;
    text: string;
    replace: string;
};
export type FilterItem = {
    defmatch: string;
    remove: string;
};
export type Config = {
    transforms: TransformItem[];
    filters: FilterItem[];
};
export type RunConfig = {
    configFile?: string;
    config?: Partial<Config>;
    outputFile?: string;
    target?: 'gnumake';
    root: string;
    libs?: string[];
};
export declare function generate(config: RunConfig): Promise<void>;
export declare function main(...args: string[]): Promise<void>;
